
User Interface - Bug #2958

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

application freeze after repeated use of MESSAGE UPDATE

01/15/2016 07:42 AM - Greg Shah

Status: Rejected Start date:  

Priority: Normal Due date:  

Assignee: Hynek Cihlar % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

Related issues:

Related to User Interface - Bug #2954: Focus is not put on the expected widge... Closed

History

#1 - 01/15/2016 07:43 AM - Greg Shah

From Sergey:

I have tested the trunk version of p2j against ./ask-gui.p. It seems that there appears new bug. If print the existing program "./hello.p" to fil the

"Program name:" field and then press enter. Then on "Message Update" dialog  select "Y" and press the enter. Trying to repeat these steps freezes

the application on the "Message Update" dialog. This is the same kind bug as it was #2778 but with the different scenario.

#2 - 01/15/2016 12:28 PM - Hynek Cihlar

When the program "freezes", does it take mouse input? Can you move the dialog-box window for example?

#3 - 01/15/2016 12:55 PM - Sergey Ivanovskiy

Hynek Cihlar wrote:

When the program "freezes", does it take mouse input? Can you move the dialog-box window for example?

 

It is possible to move dialog-box by holding the mouse but the keys input is frozen. May be the root cause is the same as for 2778 that the current

focus owner window is null, but in that case java.awt.DefaultKeyboardFocusManager simply discards the keys input.

#4 - 01/15/2016 12:59 PM - Sergey Ivanovskiy

New detail is that the ESC key can close the dialog-box, thus the keys input is not frozen.

#5 - 01/15/2016 01:01 PM - Hynek Cihlar

Ok, I am seeing the same. This is a duplicate of #2954.
#6 - 01/15/2016 01:55 PM - Greg Shah

- Status changed from New to Rejected

I'm closing this since it is a duplicate of #2954.  I've linked this as related so that the recreate can be found easily.

#7 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App
